Index: /branches/dev_001_GM/NEMO/TOP_SRC/trcsms.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/trcsms.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/trcsms.F90	(revision 763)
@@ -1,109 +1,62 @@
 MODULE trcsms
-   !!===========================================================================================
-   !!
-   !!                       *** MODULE trcsms ***
-   !!
-   !!  Time  loop of opa for passive tracer
-   !!
-   !!===========================================================================================
-   !!  TOP 1.0,  LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!======================================================================
+   !!                         ***  MODULE trcsms  ***
+   !! TOP :   Time loop of passive tracers sms
+   !!======================================================================
+   !! History :   1.0  !  2005-03 (O. Aumont, A. El Moussaoui) F90
    !!----------------------------------------------------------------------
-#if defined key_passivetrc   
-   !! * Modules used
-   !! ==============
+#if defined key_passivetrc
+   !!----------------------------------------------------------------------
+   !!   'key_passivetrc'                                    Passive tracers
+   !!----------------------------------------------------------------------
+   !!   trc_sms    :  Time loop of passive tracers sms
+   !!----------------------------------------------------------------------
    USE oce_trc
    USE trc
    USE trcfreons
-   USE prtctl_trc          ! Print control for debbuging
+   USE prtctl_trc           ! Print control for debbuging
 
    IMPLICIT NONE
    PRIVATE
 
-   !! * Accessibility
-   PUBLIC trc_sms
+   PUBLIC      trc_sms      ! called in ???
+
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
 CONTAINS
 
    SUBROUTINE trc_sms( kt )
-      !!===========================================================================================
+      !!---------------------------------------------------------------------
+      !!                     ***  ROUTINE ini_trc  ***
       !!
-      !!                       ROUTINE trcsms
-      !!                     *****************
+      !! ** Purpose :   Managment of the time loop of passive tracers sms 
       !!
-      !!  PURPOSE :
-      !!  ---------
-      !!          time loop of opa for passive tracer
+      !! ** Method  : - ???
+      !! -------------------------------------------------------------------------------------
+      INTEGER, INTENT( in ) ::   kt      ! ocean time-step index      
       !!
-      !!   METHOD :
-      !!   -------
-      !!      compute the well/spring evolution
-      !!
-      !!   INPUT :
-      !!   -----
-      !!      argument
-      !!              ktask           : task identificator
-      !!              kt              : time step
-      !!      COMMON
-      !!            all the COMMON defined in opa
-      !!
-      !!
-      !!   OUTPUT :			: no
-      !!   ------
-      !!
-      !!   WORKSPACE :
-      !!   ---------
-      !!
-      !!   EXTERNAL :
-      !!   --------
-      !!      trcbio, trcsed, trcopt for NPZD or LOBSTER1 models
-      !!
-      !!      h3cprg for HAMOC3 and P3ZD models
-      !!
-      !!
-      !!   History:
-      !!   --------
-      !!      original  : 96-11
-      !!      additions : 99-07 (M. Levy)
-      !!                  04-00 (O. Aumont, M.A. Foujols) HAMOCC3 and P3ZD
-      !!                  12-00 (O. Aumont, E. Kestenare) add trcexp for instantaneous export 
-      !!   05-03 (O. Aumont and A. El Moussaoui) F90
-      !! -------------------------------------------------------------------------------------
+      CHARACTER (len=25) :: charout
+      !!---------------------------------------------------------------------
 
-      !! * Arguments
-      !! -----------
-      INTEGER, INTENT( in ) ::   kt      ! ocean time-step index      
-
-      !! * Local variables
-      !! -----------------
-
-      CHARACTER (len=25) :: charout
-
-      !! this ROUTINE is called only every ndttrc time step
-      !! --------------------------------------------------
-
-      IF ( MOD(kt,ndttrc) /= 0) RETURN
-
-      !! this first routines are parallelized on vertical slab
-      !! ------------------------------------------------------
+      IF ( MOD(kt,ndttrc) /= 0) RETURN      ! this ROUTINE is called only every ndttrc time step
 
 #if defined key_trc_lobster1
 
-      !! tracers: optical model
-      !! ----------------------
+      ! LOBSTER biological model
+      ! ------------------------
 
-      CALL trcopt( kt)
+      CALL trcopt( kt )      ! optical model
 
       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('OPT')")
          CALL prt_ctl_trc_info(charout)
-         CALL prt_ctl_trc(tab4d=tra, mask=tmask, clinfo=ctrcnm)
+         CALL prt_ctl_trc( tab4d=tra, mask=tmask, clinfo=ctrcnm )
       ENDIF
 
-      !! tracers: biological model
-      !! -------------------------
-
-      CALL trcbio( kt)
+      CALL trcbio( kt )      ! biological model
 
       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
@@ -113,8 +66,6 @@
       ENDIF
 
-      !! tracers: sedimentation model
-      !! ----------------------------
+      CALL trcsed( kt )      ! sedimentation model
 
-      CALL trcsed(kt)
       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('SED')")
@@ -123,5 +74,5 @@
       ENDIF
  
-      CALL trcexp(kt)
+      CALL trcexp( kt )      ! export
 
       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
@@ -133,40 +84,34 @@
 #elif defined key_trc_pisces
 
-      !! p4zprg: main PROGRAM for PISCES 
-      !! -------------------------------
-      CALL p4zprg(kt)
+      ! PISCES biological model
+      ! ------------------------
 
-      !! SMS to DO
+      CALL p4zprg(kt)      ! main program of PISCES 
+
+
+      !                    ! split in  SMS to be DONE here
 
 #elif defined key_cfc
 
-      !! CFC's code taken from K. Rodgers
+      ! CFC chemical model (code taken from K. Rodgers)
+      ! ------------------
 
-      !! This part is still experimental
-      !! -------------------------------
-
-      CALL trc_freons(kt)
+      CALL trc_freons( kt )      ! surface fluxes of CFC
 
 #endif
-
-
-
+      !
    END SUBROUTINE trc_sms
 
 #else
    !!======================================================================
-   !!  Empty module : No passive tracer
+   !!  Dummy module :                                     No passive tracer
    !!======================================================================
 CONTAINS
-
-   SUBROUTINE trc_sms( kt )
-
-      ! no passive tracers
+   SUBROUTINE trc_sms( kt )                   ! Empty routine
       INTEGER, INTENT( in ) ::   kt
       WRITE(*,*) 'trc_sms: You should not have seen this print! error?', kt
    END SUBROUTINE trc_sms
-
 #endif 
 
-
+   !!======================================================================
 END MODULE  trcsms
